Name:           torrent-file-editor
Version:        0.2.0
Release:        2%{?dist}
Summary:        Qt based GUI tool designed to create and edit .torrent files

License:        GPLv3+
URL:            http://sf.net/projects/%{name}
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(QtGui)
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QJson)
BuildRequires:  desktop-file-utils
%if 0%{?fedora}
BuildRequires:  libappstream-glib
%endif

# Package puts icons to hicolor-icon-theme folders
Requires:       hicolor-icon-theme

%description
Qt based GUI tool designed to create and edit .torrent files.

Features
 - create .torrent file from scratch
 - edit .torrent file in user-friendly way
 - edit .torrent file in tree format
 - edit .torrent file in JSON format
 - add, remove and interchange files in .torrent file
 - support for codings


%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}

%install
%make_install
%if 0%{?epel}
rm -f %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml
%endif

%check
# Menu file is being installed when make install
# so it need only to check this allready installed file
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%if 0%{?fedora}
# Check AppData file
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml
%endif

%post
# Desktop file has MimeType field. Need to update MIME types database.
/usr/bin/update-desktop-database &> /dev/null || :

# Update icons cache
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :

if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc README.md LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%if 0%{?fedora}
%{_datadir}/appdata/%{name}.appdata.xml
%endif

%changelog
* Tue May 12 2015 Ivan Romanov <drizt@land.ru> - 0.2.0-2
- epel7 has no App Data file support

* Tue May 12 2015 Ivan Romanov <drizt@land.ru> - 0.2.0-1
- update to v0.2.0
- dropped app file patch (went to upstream)

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.1.0-5
- Rebuilt for GCC 5 C++11 ABI change

* Sun Jan 25 2015 Ivan Romanov <drizt@land.ru> - 0.1.0-4
- Added AppData file

* Sun Dec 21 2014 Ivan Romanov <drizt@land.ru> - 0.1.0-3
- corrected updating icon cache
- added updating MIME type database

* Sat Dec 20 2014 Ivan Romanov <drizt@land.ru> - 0.1.0-2
- Corrected sf source path
- Corrected project url
- Added hicolor-icon-theme to requires
- Improved description
- Use check section for desktop file validation

* Sat Dec 20 2014 Ivan Romanov <drizt@land.ru> - 0.1.0-1
- Initial version of package
